<template>
  <div class="f-column">
    <h1 class="f-title">
      Attribute Contribution
    </h1>
    <div class="f-description">
      Contribution of
      <strong>{{ selectedAttribute | removeQuestionnaireCode }}</strong> whose
      relevance is
      <strong>{{ fieldRelevance[selectedAttribute].toFixed(3) }}</strong>
    </div>
    <section class="f-card">
      <attribute-contribution-graph />
    </section>
  </div>
</template>

<script>
import { mapState } from "vuex";

import attributeContributionGraph from "@/components/AttributeContributionGraph.vue";

export default {
  components: {
    attributeContributionGraph
  },
  filters: {
    removeQuestionnaireCode(value) {
      return value.replace(/Q[^_]*_/, "");
    }
  },
  computed: {
    ...mapState(["selectedAttribute", "fieldRelevance"])
  }
};
</script>
